<?php 
    // global $product;
    echo wkp_check_and_show_alert_for_dependent_plugin('woocommerce', 'woocommerce.php', 'free');

    if(wkp_check_dependent_plugin('woocommerce', 'woocommerce.php')):
        /**
         * check if single product page 
         * and single page
         */
        if( is_product() ):
            ?>
            <div>
                <?php
                    $product = wc_get_product( get_the_ID() );
                    $type = $product->get_type();
                    $price = $product->get_price_html();
                ?>
                
                <div>
                    <?php 
                    
$heading = apply_filters( 'woocommerce_product_additional_information_heading', __( 'Additional information', 'woocommerce' ) );

?>

<?php if ( $heading ) : ?>
	<h2><?php echo esc_html( $heading ); ?></h2>
<?php endif; 
                    // wc_get_template( 'single-product/tabs/tabs.php' );
                    //echo do_action('woocommerce_after_single_product_summary');
                    // echo woocommerce_output_product_data_tabs();
                    // echo woocommerce_product_description_tab();
                    // echo do_action('woocommerce_output_product_data_tabs');
                    // echo '<pre>';
                    // var_dump (woocommerce_default_product_tabs());
                    // echo '</pre>';
                    // woocommerce_default_product_tabs();
                    do_action( 'woocommerce_product_additional_information', $product );


                    $product_tabs = apply_filters( 'woocommerce_product_tabs', array() );
                    $product_tab = $product_tabs['reviews'];
                    // foreach ( $product_tabs as $key => $product_tab ) : ?>
                    <div class="woocommerce-tabs wc-tabs-wrapper">
                        <div class="woocommerce-Tabs-panel">
                            <?php
                            if ( isset( $product_tab['callback'] ) ) {
                                call_user_func( $product_tab['callback'] );
                            }
                            ?>
                        </div>
                    </div>
                    <?php //endforeach; 

                    echo '<pre>';
                    // var_dump (woocommerce_default_product_tabs(['review']));
                    // var_dump ($product_tabs);
                    echo '</pre>';
                    ?>
                </div>
            </div>
            <?php   
        else:
            echo '<h2 style="border:solid 5px red; padding:30px;">This element only works for WooCommerce Single Product Page</h2>';
        endif;
    endif;
?>